RMarkdown : configuration / update.packages() issues

rmarkdown
packageupdate

#1

This is a question about markdown configuration. After some updates were applied in my environment (IT controls it, I don't), I am receiving the following error message:

"C:/Program Files/RStudio/bin/pandoc/pandoc" +RTS -K512m -RTS my_markdown.utf8.md --to html4 --from markdown+autolink_bare_uris+ascii_identifiers+tex_math_single_backslash --output my_markdown.html --smart --email-obfuscation none --self-contained --standalone --section-divs --template --no-highlight --variable highlightjs=1 --variable "theme:bootstrap" --include-in-header "C:\Users\KOLENI~1\AppData\Local\Temp\2\Rtmp6N54zS\rmarkdown-str21e03e543c0b.html" --mathjax --variable "mathjax-url:https://mathjax.rstudio.com/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"
pandoc.exe: Could not find data file templates--no-highlight.html
Error: pandoc document conversion failed with error 97

It seems like template is missing from the call to pandoc: there are two spaces after --template so a value is missing there. I have tried

output: 
  html_document:
    template: default

and rmarkdown::render(input="my_markdown.Rmd",output_file = "my_markdown.html",params=list(template="default")) to try and invoke the default template, but it does not look like this is even getting passed to pandoc.

My current configuration is:

> R.version.string
[1] "R version 3.4.1 (2017-06-30)"
> packageVersion("rmarkdown")
[1] ‘1.9.8’
> packageVersion("knitr")
[1] ‘1.20’
> packageVersion("yaml")
[1] ‘2.1.18’

I think our IT attempted to update everything, but apparently the update created conflicts. (On 3.4.3, updating markdown did not even complete, as they informed me, so I tried falling back to 3.4.1.)

What should I tell them, or is there anything I can tweak on my end to at least be able to knit things? I don't need special templates. Anything else relevant to this error?

Thanks, Stas